summaryrefslogtreecommitdiff
path: root/tests/issues/5/test-error.sh
diff options
context:
space:
mode:
authorPatrick Simianer <simianer@cl.uni-heidelberg.de>2012-05-31 13:57:24 +0200
committerPatrick Simianer <simianer@cl.uni-heidelberg.de>2012-05-31 13:57:24 +0200
commitf1ba05780db1705493d9afb562332498b93d26f1 (patch)
treefb429a657ba97f33e8140742de9bc74d9fc88e75 /tests/issues/5/test-error.sh
parentaadabfdf37dfd451485277cb77fad02f77b361c6 (diff)
parent317d650f6cb1e24ac6f3be6f7bf9d4246a59e0e5 (diff)
Merge remote-tracking branch 'upstream/master'
Diffstat (limited to 'tests/issues/5/test-error.sh')
-rwxr-xr-xtests/issues/5/test-error.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/issues/5/test-error.sh b/tests/issues/5/test-error.sh
new file mode 100755
index 00000000..49fae40c
--- /dev/null
+++ b/tests/issues/5/test-error.sh
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+
+scriptDir=$(cd $(dirname $0); pwd)
+
+set -u
+autoreconf -ifv
+./configure --with-boost=$HOME/prefix --disable-gtest
+make clean
+make -j32
+
+set +eo pipefail
+make -j32
+
+echo >&2 "============================="
+echo >&2 "TESTING: $(git log | head -n1 | cut -f2 -d' ')"
+echo >&2 "============================="
+zcat $scriptDir/mapoutput.abj.gz \
+ | $scriptDir/cdec/pro-train/mr_pro_reduce --weights $scriptDir/weights.0 -C 500 -y 5000 --interpolate_with_weights 1
+echo >&2 "============================="
+
+sleep 5